<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: gst::Version Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structgst_1_1Version.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">gst::Version Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Struct for the version of gstreamer;.  
 <a href="structgst_1_1Version.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="core_8hpp_source.html">core.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a5cbda30d3c2b44f8e5981aec646fe7f4"><td class="memItemLeft" align="right" valign="top"><a id="a5cbda30d3c2b44f8e5981aec646fe7f4"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>major</b></td></tr>
<tr class="separator:a5cbda30d3c2b44f8e5981aec646fe7f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85893552462714e3226b33a6ce1daa43"><td class="memItemLeft" align="right" valign="top"><a id="a85893552462714e3226b33a6ce1daa43"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>minor</b></td></tr>
<tr class="separator:a85893552462714e3226b33a6ce1daa43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4bc5c94bb39747c7c4b5c87d98d9ffa"><td class="memItemLeft" align="right" valign="top"><a id="ad4bc5c94bb39747c7c4b5c87d98d9ffa"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>micro</b></td></tr>
<tr class="separator:ad4bc5c94bb39747c7c4b5c87d98d9ffa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02c2381c34bcfe202dd99305b8ea4768"><td class="memItemLeft" align="right" valign="top"><a id="a02c2381c34bcfe202dd99305b8ea4768"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>nano</b></td></tr>
<tr class="separator:a02c2381c34bcfe202dd99305b8ea4768"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Struct for the version of gstreamer;. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="core_8hpp_source.html">core.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacegst.html">gst</a></li><li class="navelem"><a class="el" href="structgst_1_1Version.html">Version</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
